<?php

namespace App\Classes\Modules\Accounts\Services;


use App\Models\UserInvitation;
use App\Http\Resources\UserInvitation as UserInvitationResources;

class ListsUserInvitation
{
    /** @var  UserInvitation */
    private $repository;

    /**
     * ListsUserInvitation constructor.
     * @param UserInvitation $repository
     */
    public function __construct(UserInvitation $repository)
    {
        $this->repository = $repository;
    }


    public function execute(){

        $userInvitation = $this->repository->where('is_complete', 0)->paginate(10);

        return UserInvitationResources::collection($userInvitation);



    }

}